ADVERTENCIA: el módulo McRypt Ini File no existe bajo /etc/php/7.2/mods-Available -- server campo con apache2 campo con mysql campo con php campo con lamp camp askubuntu Relacionados El problema

WARNING: Module mcrypt ini file doesn't exist under /etc/php/7.2/mods-available


3
vote

problema

Español

He estado tratando de instalar phpMyAdmin en Ubuntu 16.04.3 LTS que tiene una lámpara instalada, PHP 7.2, MySQL Ver 15.1 Distribute 10.2.12-Mariadb, para Debian-Linux-GNU (X86_64) utilizando Readline 5.2 y Apache2.

y estoy siguiendo Este artículo de DIGITALOCEAN, pero cuando llegué a la parte que necesito ejecutar ABCDEFGHIJKLMNABCDEFGHIJKLMN5 Tengo un mensaje que dice ...

Advertencia: el módulo McRypt Ini File no existe bajo /etc/php/7.2/mods-Available
Advertencia: el módulo McRypt Ini File no existe bajo /etc/php/7.2/mods-Available

Estoy haciendo esto en Ubuntu instalado en Godaddy

¿Puede dar la mejor solución para esto?

Original en ingles

I've been trying to install phpmyadmin in Ubuntu 16.04.3 LTS having a lamp installed, php 7.2, mysql Ver 15.1 Distrib 10.2.12-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2 and apache2.

and I am following this article from digitalOcean, but when I came to the part that I need to run sudo phpenmod mcrypt I got a message saying..

WARNING: Module mcrypt ini file doesn't exist under /etc/php/7.2/mods-available
WARNING: Module mcrypt ini file doesn't exist under /etc/php/7.2/mods-available

I am doing this on ubuntu installed in godaddy

Can you give best solution for this?

              

Lista de respuestas

3
 
vote
vote
La mejor respuesta
 

Solo intente ejecutar este código y su error debe desaparecer.

  sudo ln -s /etc/php/7.1/mods-available/mcrypt.ini /etc/php/7.2/mods-available/   

Debe tener el archivo mcrypt.ini dentro mods-available y si no tiene este archivo allí obtendrá este error.

note : Si lo hace de esta manera, ya no obtendrá este error, pero obtendrá otro error:

  ABCDEFGHIJKLMNABCDEFGHIJKLMN9   

por lo que, basado en mi investigación sudo apt install mysql-server-core 0 no es compatible con PHP7.2, por lo que no tiene que ejecutar sudo apt install mysql-server-core 1 en absoluto. Tal vez estoy equivocado, pero si alguien tiene más información, házmelo saber.

 

Just try and run this code and your error should be gone.

sudo ln -s /etc/php/7.1/mods-available/mcrypt.ini /etc/php/7.2/mods-available/ 

You should have the mcrypt.ini file inside mods-available and if you don't have this file there you will get this error.

NOTE: If you do it this way you will not get this error anymore, but you will get other error:

PHP Warning:  PHP Startup: Unable to load dynamic library 'mcrypt.so' (tried: /usr/lib/php/20170718/mcrypt.so (/usr/lib/php/20170718/mcrypt.so: cannot open shared object file: No such file or directory), /usr/lib/php/20170718/mcrypt.so.so (/usr/lib/php/20170718/mcrypt.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0 

So, based on my research mcrypt is not supported in php7.2, so you don't have to execute sudo phpenmod mcrypt at all. Maybe I am wrong, but if someone have more information, let me know.

 
 
6
 
vote

Primera instalación PHP7.1. Luego copia mcrpyt.ini.

  sudo apt install mysql-server-core 2  
 

First install php7.1. Then copy mcrpyt.ini.

sudo apt-add-repository ppa:ondrej/php sudo apt-get install php7.1-mbstring sudo apt-get install php7.1-mcrypt sudo ln -s /etc/php/7.1/mods-available/mcrypt.ini /etc/php/7.2/mods-available/ sudo phpenmod mcrypt sudo service php7.2-fpm restart   
 
 

Relacionados problema

3  ¿Cómo configurar PhpMyAdmin como subdominio en Apache 2.4.7?  ( How to setup phpmyadmin as subdomain on apache 2 4 7 ) 
Actualmente estoy teniendo problemas configurando PhpMyAdmin como subdominio. Pude hacer esto en Ubuntu 12.04, no hay problema, pero como la actualización par...

0  500 ERROR en el archivo index.php. Todos los demás archivos PHP están funcionando bien [CERRADO]  ( 500 error on index php file all other php files are working well ) 
Es poco probable que esta pregunta ayude a cualquier visitante futuro; Solo es relevante para un pequeño área geográfica, u...

128  ¿Cuál es la forma más fácil de configurar una pila de lámpara?  ( Whats the easiest way to set up a lamp stack ) 
Configuré una nueva instancia de Ubuntu y me pregunto cuál es la forma más fácil de subir y ejecutar con una pila de lámpara básica (es decir, que se requiere...

0  Error de MySQL después de reiniciar (Lampp)  ( Mysql error after rebooting lampp ) 
No sé si este es el lugar correcto para poner esta pregunta. Instalé Lampp y seguí a estas instrucciones http://www.apachess.org/en /xampp-linux.html#377 y ...

0  El estado de Apache de repente se detiene  ( Apache status suddenly stops ) 
Tengo un problema con mi Apache, estoy ejecutando Ubuntu Server 12.04 en un VPS. Tengo una pila de lámpara básica, mi problema es esto, cada pocos días Apache...

7  http: // localhost / no funciona  ( Http localhost not working ) 
Acabo de hacer una nueva instalación de la lámpara Ubuntu (10.04.1) más (a través de ABCDEFGHIJKLMNABCDEFGHIJKLMN0 ) y todo está funcionando bien. Sin embarg...

1  Crea un comando Pseudo para Lampp XAMPP  ( Create a pseudo command for lampp xampp ) 
¿Cómo creo un comando psuedo para el terminal? El comando básico para Lampp es: sudo /opt/lampp/lampp start Pero no quiero escribir esto cada vez, as...

0  ¿Necesita ayuda con el error después de configurar el permiso para guardar cualquier cosa en VAR / www / html?  ( Need help with error after setting permission to save anything in var www html ) 
[ 2.173492] usb 2-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=3 [ 2.173497] usb 2-1.6: Product: DW375 Bluetooth Module [ 2.173501] u...

0  "Xampp: No pudo iniciar MySQL" en Ubuntu 64bit  ( Xampp couldnt start mysql on ubuntu 64bit ) 
I instalé Lampp con estas instrucciones , pero phpmadmin no funcionó Así que traté de desinstalarlo y luego volver a instalarlo y todavía no funciona. Cuando...

3  ¿Por qué PERL se incluye en la lámpara-servidor ^?  ( Why perl is included into lamp server ) 
Sé que hay muchos métodos y muchas preguntas Acerca de Instalación de lámparas . Sin embargo, no tiene una respuesta para ... ¿Por qué el comando sudo ...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos